Package io.flutter.embedding.engine.systemchannels

# Class TextInputChannel.Configuration

java.lang.Object
io.flutter.embedding.engine.systemchannels.TextInputChannel.Configuration

Enclosing class:
  `TextInputChannel`

public static class TextInputChannel.Configuration extends Object
A text editing configuration.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TextInputChannel.Configuration.Autofill`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `actionLabel`
  `final boolean`
  `autocorrect`
  `final TextInputChannel.Configuration.Autofill`
  `autofill`
  `final String[]`
  `contentCommitMimeTypes`
  `final boolean`
  `enableDeltaModel`
  `final boolean`
  `enableIMEPersonalizedLearning`
  `final boolean`
  `enableSuggestions`
  `final TextInputChannel.Configuration[]`
  `fields`
  `final Locale[]`
  `hintLocales`
  `final Integer`
  `inputAction`
  `final TextInputChannel.InputType`
  `inputType`
  `final boolean`
  `obscureText`
  `final TextInputChannel.TextCapitalization`
  `textCapitalization`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configuration(boolean obscureText, boolean autocorrect, boolean enableSuggestions, boolean enableIMEPersonalizedLearning, boolean enableDeltaModel, TextInputChannel.TextCapitalization textCapitalization, TextInputChannel.InputType inputType, Integer inputAction, String actionLabel, TextInputChannel.Configuration.Autofill autofill, String[] contentCommitMimeTypes, TextInputChannel.Configuration[] fields, Locale[] hintLocales)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextInputChannel.Configuration`
  `fromJson(JSONObject json)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### obscureText

    public final boolean obscureText

  - ### autocorrect

    public final boolean autocorrect

  - ### enableSuggestions

    public final boolean enableSuggestions

  - ### enableIMEPersonalizedLearning

    public final boolean enableIMEPersonalizedLearning

  - ### enableDeltaModel

    public final boolean enableDeltaModel

  - ### textCapitalization

    @NonNull public final TextInputChannel.TextCapitalization textCapitalization

  - ### inputType

    @NonNull public final TextInputChannel.InputType inputType

  - ### inputAction

    @Nullable public final Integer inputAction

  - ### actionLabel

    @Nullable public final String actionLabel

  - ### autofill

    @Nullable public final TextInputChannel.Configuration.Autofill autofill

  - ### contentCommitMimeTypes

    @Nullable public final String[] contentCommitMimeTypes

  - ### fields

    @Nullable public final TextInputChannel.Configuration[] fields

  - ### hintLocales

    @Nullable public final Locale[] hintLocales

- ## Constructor Details

  - ### Configuration

    public Configuration(boolean obscureText, boolean autocorrect, boolean enableSuggestions, boolean enableIMEPersonalizedLearning, boolean enableDeltaModel, @NonNull TextInputChannel.TextCapitalization textCapitalization, @NonNull TextInputChannel.InputType inputType, @Nullable Integer inputAction, @Nullable String actionLabel, @Nullable TextInputChannel.Configuration.Autofill autofill, @Nullable String[] contentCommitMimeTypes, @Nullable TextInputChannel.Configuration[] fields, @Nullable Locale[] hintLocales)

- ## Method Details

  - ### fromJson

    @NonNull public static TextInputChannel.Configuration fromJson(@NonNull JSONObject json) throws JSONException, NoSuchFieldException
    Throws:
      `JSONException`
      `NoSuchFieldException`